{
  networking.wg-quick.interfaces = {
      giupi = {
        address = ["10.3.0.2/32"];
        privateKeyFile = "/etc/wireguard/giupi.key";
        dns = ["10.3.0.1"];
        peers = [
          {
            publicKey = "I4glUMvIGjjhvQMKhwGc8copPl2t9Us/YYRjT0BKuiw=";
            allowedIPs = ["0.0.0.0/0"];
            endpoint = "architect.devs.giugl.io:1194";
            persistentKeepalive = 25;
          }
        ];
      };
    };
}
